Nonpareil now available on Macports.

Egan Ford egan at sense.net
Sat Mar 7 23:55:32 PST 2009


BTW, you may find the following useful:

http://pagesperso-orange.fr/kdntl/hp41/nonpareil-patch-doc.html

Very nice set of patches for nonpareil 41.

On Sun, Mar 8, 2009 at 12:37 AM, Martin Krischik
<krischik at users.sourceforge.net> wrote:
> Egan Ford schrieb:
> - Show quoted text -
>>> Actually I wanted to file a bug report in the Nonpareil Developers list
>>> because of this. I wonder what it could be. But good to see that someone
>>> tried it out already :-) Shows that Nonpareil is needed.
>>>
>>> Note that the MacPorts version is compiled from source as well. MacPorts
>>> does all the compiling for you so you don't have to worry. Compiling
>>> from source makes MacPorts a very agile distribution.
>>
>> Yes, and I tried it with macports building the from source and it
>> still does not work.  I also tried a "port update installed" and then
>> rebuilt with no luck.
>>
>>> Interesting. Did you compile gtk with +x11 or +quarz? Default is x11 and
>>> I wonder if it would work with quartz. Sadly native GNOME support is not
>>> as good for KDE and using +quarz on Gtk will break most of GNOME :-( .
>>
>> I have tried both X11 GTK and Quartz GTK, both have the same display
>> problem.  No problem for the 41CX, just the Voyagers.
>
> They have different display routines. There is a switch/case between 41
> / voyager and the rest.
>
>> Do you have it working?  If, so what does otool -L nonpareil report?
>
> Actually no. But looking at the otool list, what is SDL for?
>
> /opt/local/bin/nonpareil:
>        /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
> (compatibility version 1.0.0, current version 12.0.0)
>        /opt/local/lib/libgtk-x11-2.0.0.dylib (compatibility version 1401.0.0,
> current version 1401.7.0)
>        /opt/local/lib/libatk-1.0.0.dylib (compatibility version 2410.0.0,
> current version 2410.1.0)
>        /opt/local/lib/libgio-2.0.0.dylib (compatibility version 1801.0.0,
> current version 1801.3.0)
>        /opt/local/lib/libgdk-x11-2.0.0.dylib (compatibility version 1401.0.0,
> current version 1401.7.0)
>        /opt/local/lib/libpangocairo-1.0.0.dylib (compatibility version
> 2204.0.0, current version 2204.1.0)
>        /opt/local/lib/libcairo.2.dylib (compatibility version 10803.0.0,
> current version 10803.6.0)
>        /opt/local/lib/libpangoft2-1.0.0.dylib (compatibility version 2204.0.0,
> current version 2204.1.0)
>        /opt/local/lib/libpixman-1.0.dylib (compatibility version 15.0.0,
> current version 15.0.0)
>        /opt/local/lib/libpng12.0.dylib (compatibility version 36.0.0, current
> version 36.0.0)
>        /opt/local/lib/libXrender.1.dylib (compatibility version 5.0.0, current
> version 5.0.0)
>        /opt/local/lib/libX11.6.dylib (compatibility version 9.0.0, current
> version 9.0.0)
>        /opt/local/lib/libXau.6.dylib (compatibility version 7.0.0, current
> version 7.0.0)
>        /opt/local/lib/libXdmcp.6.dylib (compatibility version 7.0.0, current
> version 7.0.0)
>        /opt/local/lib/libpango-1.0.0.dylib (compatibility version 2204.0.0,
> current version 2204.1.0)
>        /opt/local/lib/libfontconfig.1.dylib (compatibility version 5.0.0,
> current version 5.0.0)
>        /opt/local/lib/libexpat.1.dylib (compatibility version 7.0.0, current
> version 7.2.0)
>        /opt/local/lib/libfreetype.6.dylib (compatibility version 10.0.0,
> current version 10.19.0)
>        /opt/local/lib/libgdk_pixbuf-2.0.0.dylib (compatibility version
> 1401.0.0, current version 1401.7.0)
>        /opt/local/lib/libgobject-2.0.0.dylib (compatibility version 1801.0.0,
> current version 1801.3.0)
>        /opt/local/lib/libgmodule-2.0.0.dylib (compatibility version 1801.0.0,
> current version 1801.3.0)
>        /opt/local/lib/libglib-2.0.0.dylib (compatibility version 1801.0.0,
> current version 1801.3.0)
>        /opt/local/lib/libintl.8.dylib (compatibility version 9.0.0, current
> version 9.2.0)
>        /opt/local/lib/libxml2.2.dylib (compatibility version 10.0.0, current
> version 10.3.0)
>        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current
> version 111.1.3)
>        /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current
> version 1.2.3)
>        /opt/local/lib/libiconv.2.dylib (compatibility version 7.0.0, current
> version 7.0.0)
>        /opt/local/lib/libgthread-2.0.0.dylib (compatibility version 1801.0.0,
> current version 1801.3.0)
>        /opt/local/lib/libSDL-1.2.0.dylib (compatibility version 12.0.0,
> current version 12.2.0)
>        /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version
> 1.0.0)
> - Show quoted text -
>
>
> Martin
> --
> Martin Krischik
> mailto://krischik@users.sourceforge.net
> https://sourceforge.net/users/krischik
> _______________________________________________
> Nonpareil-users mailing list
> Nonpareil-users at lists.brouhaha.com
> http://lists.brouhaha.com/mailman/listinfo/nonpareil-users
>


More information about the Nonpareil-users mailing list